[LEDE-DEV] [patch master 06/15] redirect matters, the 2>&1 has to be last.
Jan-Tarek Butt
tarek at ring0.de
Fri Sep 30 13:02:20 PDT 2016
---
scripts/make-ipkg-dir.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/scripts/make-ipkg-dir.sh b/scripts/make-ipkg-dir.sh
index 529e430..9e38df5 100755
--- a/scripts/make-ipkg-dir.sh
+++ b/scripts/make-ipkg-dir.sh
@@ -9,9 +9,9 @@ WD=$(pwd)
mkdir -p "$TARGET/CONTROL"
grep '^[^(Version|Architecture)]' "$CONTROL" > "$TARGET/CONTROL/control"
-grep '^Maintainer' "$CONTROL" 2>&1 >/dev/null || \
+grep '^Maintainer' "$CONTROL" > /dev/null 2>&1 || \
echo "Maintainer: LEDE Community <lede-dev at lists.infradead.org>" >> "$TARGET/CONTROL/control"
-grep '^Source' "$CONTROL" 2>&1 >/dev/null || {
+grep '^Source' "$CONTROL" > /dev/null 2>&1 || {
pkgbase=$(echo "$WD" | sed -e "s|^$TOPDIR/||g")
[ "$pkgbase" = "$WD" ] && src="N/A" || src="$BASE/$pkgbase"
echo "Source: $src" >> "$TARGET/CONTROL/control"
--
2.10.0
More information about the Lede-dev
mailing list